#include <stdio.h>
#include "wave.h"

int write_wave_header(FILE *f,int rate)
{
  riff head;

  head.magic=0x46464952;
  head.riff_len=0;
  head.wav_magic=0x45564157;
  head.fmt_magic=0x20746d66;
  head.fmt_size=16;
  head.fmt_tag=1;
  head.channels=2;
  head.samp_per_sec=rate;
  head.bytes_per_sec=rate*4;
  head.block_align=4;
  head.bits_per_sample=16;
  head.data_magic=0x61746164;
  head.data_len=0;

  fwrite(&head,1,sizeof(riff),f);
  return 1;
}

int fixup_wave_header(FILE *f,unsigned long size,int sample_rate)
{
  riff head;

  fseek(f,0L,SEEK_SET);
  fread(&head,1,sizeof(riff),f);
  head.riff_len=size+44-8;
  head.data_len=size;
  head.samp_per_sec=sample_rate;
  head.bytes_per_sec=sample_rate*4;
  fseek(f,0L,SEEK_SET);
  fwrite(&head,1,sizeof(riff),f);
  return 1;
}

